GLC_lib & GLC_Player Forums
https://forum.glc-lib.net/

compile with Qt5
https://forum.glc-lib.net/viewtopic.php?f=9&t=958
Page 1 of 1

Author:  jeffer [ Sun Dec 22, 2013 1:43 am ]
Post subject:  compile with Qt5

Hello,

I tried to compile the GLC_player with the GLC_lib Qt5 in github (with Qt5.1 and MSVC2010), it gave the several errors as expected, duo to the changes of QOpenGLContext from QGLContext, one of them is

1> OpenglView.cpp
1>opengl_view\OpenglView.cpp(50): error C2664: 'GLC_Context::GLC_Context(QOpenGLContext *)' : cannot convert parameter 1 from 'QGLFormat' to 'QOpenGLContext *'

Just wonder there is any GLC_player in the github which compile with the lastest GLC_lib Qt5? and what is best way (hints) to port the GLC_player to Qt5?

Thanks.

Page 1 of 1 All times are UTC
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/